/**
 * 工作台
 */
import http from '../http'
export default {
  // page
  page: data => http.post('meter/v1/sample_quote/page', data).then(res => res),
  pageInAptitude: data =>
    http.post('meter/v1/sample_quote/page_in_aptitude', data).then(res => res),
  pageSubSample: data =>
    http.post('meter/v1/sample_quote/page_out_sample', data).then(res => res),
  getById: data => http.get('meter/v1/sample_quote/' + data).then(res => res),
  deleteById: data =>
    http.delete('meter/v1/sample_quote/?ids=' + data).then(res => res),
  // 保存
  save: data => http.post('meter/v1/sample_quote/', data).then(res => res),
  // 编辑
  edit: data =>
    http.put('meter/v1/sample_quote/' + data.id, data.obj).then(res => res)
}
